####

library(data.table)
library(stargazer)
library(stringr)
library(lfe)
library(ggplot2)
library(cowplot)
library(ggrepel)

rm(list=ls())

### Basic Functions

specify_decimal <- function(x, k) format(as.numeric(round(x, k), nsmall=k))
thous_dol <- function(x) x/30000



### Change Path According to Users

User="~/Documents/The University of Chicago/Research Assistant/Professor Ashworth/18087/Iteration 2/OnlineReplication/"


### Load datasets
load(file=paste(User,"emp.Rda",sep=""))
load(file=paste(User,"firms.Rda",sep=""))
load(file=paste(User,"emp_af.Rda",sep=""))
load(file=paste(User,"emp_allpeople.Rda",sep=""))
load(file=paste(User,"emp_allrelatives.Rda",sep=""))
load(file=paste(User,"emp_notclose.Rda",sep=""))
load(file=paste(User,"firms_allrelatives.Rda",sep=""))
load(file=paste(User,"ministries_avg.Rda",sep=""))
load(file=paste(User,"tr_year.Rda",sep=""))
load(file=paste(User,"pens_statistics_year.Rda",sep=""))
load(file=paste(User,"fed_emp.Rda",sep=""))




### Main Individual-level Tables
source(paste(User,"_MainTables_IndividualLevel.R",sep=""))

source(paste(User,"_MainTables_FirmLevel.R",sep=""))

source(paste(User,"_MainFigures_IndividualLevel.R",sep=""))

source(paste(User,"_MainFigures_FirmLevel.R",sep=""))

source(paste(User,"_MainFigures_MinistryLevel.R",sep=""))




########## Appendix

source(paste(User,"_AppendixTables_SummaryStatistics.R",sep=""))

source(paste(User,"_AppendixTables_Robustness.R",sep=""))

source(paste(User,"_AppendixTables_BankingPlacebo.R",sep=""))

source(paste(User,"_AppendixTables_FirmLevel.R",sep=""))

source(paste(User,"_AppendixFigures_Histograms.R",sep=""))
