

### ### ### ### ### ### ### ### ### ### ### ### 
### ### ### APPENDIX TABLE 18 ### ### ### ### 
### ### ### ### ### ### ### ### ### ### ### ### 

est1 <- felm(fedgovreceipts_binary ~  relatives + employees_log | factor(year) + factor(inn) | 0 | inn + year, data= subset(firms_utilities, privatecompany==1), exactDOF=TRUE)

est2 <- felm(fedgovreceipts_binary ~  relatives + employees_log | factor(year) + factor(inn) + factor(inn):yr_order | 0 | inn + year, data= subset(firms_utilities, privatecompany==1), exactDOF=TRUE)

est3 <- felm(fedgovreceipts_binary ~  relatives + employees_log | factor(year) + factor(inn) | 0 | inn + year, data= subset(firms_utilities, (soe==1)), exactDOF=TRUE)

est4<-felm(fedgovreceipts_binary ~  relatives*age + employees_log | factor(year) + factor(inn) | 0 | inn + year, data= subset(firms_utilities, privatecompany==1), exactDOF=TRUE,psdef=FALSE)

### Control Group Means

mean(firms_utilities$fedgovreceipts_binary[firms_utilities$relatives==0 & firms_utilities$privatecompany==1],na.rm=TRUE)
mean(firms_utilities$fedgovreceipts_binary[firms_utilities$relatives==0 & firms_utilities$privatecompany==1],na.rm=TRUE)
mean(firms_utilities$fedgovreceipts_binary[firms_utilities$relatives==0 & firms_utilities$soe==1],na.rm=TRUE)
mean(firms_utilities$fedgovreceipts_binary[firms_utilities$relatives==0 & firms_utilities$privatecompany==1 & firms_utilities$age==9],na.rm=TRUE)

### Panel B

est1 <- felm(fedgovreceipts_log ~  relatives + employees_log | factor(year) + factor(inn) | 0 | inn + year, data= subset(firms_utilities, privatecompany==1), exactDOF=TRUE)

est2 <- felm(fedgovreceipts_log ~  relatives + employees_log | factor(year) + factor(inn) + factor(inn):yr_order | 0 | inn + year, data= subset(firms_utilities, privatecompany==1), exactDOF=TRUE)

est3 <- felm(fedgovreceipts_log ~  relatives + employees_log | factor(year) + factor(inn) | 0 | inn + year, data= subset(firms_utilities, soe==1), exactDOF=TRUE)

est4<-felm(fedgovreceipts_log ~  relatives*age + employees_log | factor(year) + factor(inn) | 0 | inn + year, data= subset(firms_utilities, privatecompany==1), exactDOF=TRUE,psdef=FALSE)

### Control Group Means

mean(firms_utilities$fedgovreceipts[firms_utilities$relatives==0 & firms_utilities$privatecompany==1],na.rm=TRUE)/30000
mean(firms_utilities$fedgovreceipts[firms_utilities$relatives==0 & firms_utilities$privatecompany==1],na.rm=TRUE)/30000
mean(firms_utilities$fedgovreceipts[firms_utilities$relatives==0 & firms_utilities$soe==1],na.rm=TRUE)/30000
mean(firms_utilities$fedgovreceipts[firms_utilities$relatives==0 & firms_utilities$privatecompany==1 & firms_utilities$age==9],na.rm=TRUE)/30000





### ### ### ### ### ### ### ### ### ### ### ### 
### ### ###  APPENDIX TABLE 19 ### ### ### ### 
### ### ### ### ### ### ### ### ### ### ### ### 

### Panel A

est1 <- felm(regionalgovreceipts_binary ~  relatives + employees_log | factor(year) + factor(inn)|0 | inn + year, data= subset(firms, privatecompany==1), exactDOF=TRUE)

est2 <- felm(localgovreceipts_binary ~  relatives + employees_log | factor(year) + factor(inn)|0 | inn + year, data= subset(firms, privatecompany==1), exactDOF=TRUE)

est3<-felm(fedgovreceipts_binary ~  relatives + employees_log | factor(year) + factor(inn) | 0 | inn + year, data= subset(firms, privatecompany==1 & hasemployeeinfo==1), exactDOF=TRUE)

est4<-felm(fedgovreceipts_binary ~  relatives*sector_factor + employees_log | factor(year) + factor(inn) | 0 |inn + year, data= subset(firms, privatecompany==1), exactDOF=TRUE,psdef=FALSE)

### Control Group Means

mean(firms$regionalgovreceipts_binary[firms$relatives==0 & firms$privatecompany==1],na.rm=TRUE)
mean(firms$localgovreceipts_binary[firms$relatives==0 & firms$privatecompany==1],na.rm=TRUE)
mean(firms$fedgovreceipts_binary[firms$relatives==0 & firms$privatecompany==1],na.rm=TRUE)
mean(firms$fedgovreceipts_binary[firms$relatives==0 & firms$privatecompany==1],na.rm=TRUE)


### Panel B

est1 <- felm(regionalgovreceipts_log ~  relatives + employees_log | factor(year) + factor(inn) | 0 | inn + year, data= subset(firms, privatecompany==1), exactDOF=TRUE)

est2 <- felm(localgovreceipts_log ~  relatives + employees_log | factor(year) + factor(inn) |0 | inn + year, data= subset(firms, privatecompany==1), exactDOF=TRUE)

est3<-felm(fedgovreceipts_log ~  relatives + employees_log | factor(year) + factor(inn) | 0 | inn + year, data= subset(firms, privatecompany==1 & hasemployeeinfo==1), exactDOF=TRUE)

est4<-felm(fedgovreceipts_log ~  relatives*sector_factor + employees_log | factor(year) + factor(inn) | 0 | inn + year, data= subset(firms, privatecompany==1), exactDOF=TRUE,psdef=FALSE)

### Control Group Means

mean(firms$regionalgovreceipts[firms$relatives==0 & firms$privatecompany==1],na.rm=TRUE)/30000
mean(firms$localgovreceipts[firms$relatives==0 & firms$privatecompany==1],na.rm=TRUE)/30000
mean(firms$fedgovreceipts[firms$relatives==0 & firms$privatecompany==1],na.rm=TRUE)/30000
mean(firms$fedgovreceipts[firms$relatives==0 & firms$privatecompany==1],na.rm=TRUE)/30000


### ### ### ### ### ### ### ### ### 
### ### ### APPENDIX TABLE 20 ### ### ### ### 
### ### ### ### ### ### ### ### ###



load(file=paste(User,"firms_allrelatives.Rda",sep=""))

firms_allrelatives$fedgovreceipts_binary<-0
firms_allrelatives$fedgovreceipts_binary[firms_allrelatives$fedgovreceipts>0]<-1

firms_allrelatives$fedgovreceipts_log<-log(firms_allrelatives$fedgovreceipts)
firms_allrelatives$fedgovreceipts_log[firms_allrelatives$fedgovreceipts_log=="-Inf"]<-NA

firms_allrelatives$log_age<-log(firms_allrelatives$age)

firms_allrelatives$yr_order<-as.numeric(firms_allrelatives$year)-1998

firms_allrelatives$utilities<-ifelse(firms_allrelatives$okved==40 | firms_allrelatives$okved==41,1,0)

firms_allrelatives<-subset(firms_allrelatives, utilities==0)

### Panel A

est1 <- felm(fedgovreceipts_binary ~  relatives + employees_log | factor(year) + factor(inn) | 0 | inn + year, data= subset(firms_allrelatives, privatecompany==1), exactDOF=TRUE)

est2 <- felm(fedgovreceipts_binary ~  relatives + employees_log | factor(year) + factor(inn) + factor(inn):yr_order | 0 | inn + year, data= subset(firms_allrelatives, privatecompany==1), exactDOF=TRUE)

est3 <- felm(fedgovreceipts_binary ~  relatives + employees_log | factor(year) + factor(inn) | 0 | inn + year, data= subset(firms_allrelatives, soe==1), exactDOF=TRUE)

est4<-felm(fedgovreceipts_binary ~  relatives*age + employees_log | factor(year) + factor(inn) | 0 | inn + year, data= subset(firms_allrelatives, privatecompany==1), exactDOF=TRUE,psdef=FALSE)

### Control Group Means

mean(firms_allrelatives$fedgovreceipts_binary[firms_allrelatives$relatives==0 & firms_allrelatives$privatecompany==1],na.rm=TRUE)
mean(firms_allrelatives$fedgovreceipts_binary[firms_allrelatives$relatives==0 & firms_allrelatives$privatecompany==1],na.rm=TRUE)
mean(firms_allrelatives$fedgovreceipts_binary[firms_allrelatives$relatives==0 & firms_allrelatives$soe==1],na.rm=TRUE)
mean(firms_allrelatives$fedgovreceipts_binary[firms_allrelatives$relatives==0 & firms_allrelatives$privatecompany==1 & firms_allrelatives$age==9],na.rm=TRUE)

###Panel B

est1 <- felm(fedgovreceipts_log ~  relatives + employees_log | factor(year) + factor(inn) | 0 | inn + year, data= subset(firms_allrelatives, privatecompany==1), exactDOF=TRUE)

est2 <- felm(fedgovreceipts_log ~  relatives + employees_log | factor(year) + factor(inn) + factor(inn):yr_order | 0 | inn + year, data= subset(firms_allrelatives, privatecompany==1), exactDOF=TRUE)

est3 <- felm(fedgovreceipts_log ~  relatives + employees_log | factor(year) + factor(inn) | 0 | inn + year, data= subset(firms_allrelatives, soe==1), exactDOF=TRUE)

est4<-felm(fedgovreceipts_log ~  relatives*age + employees_log | factor(year) + factor(inn) | 0 | inn + year, data= subset(firms_allrelatives, privatecompany==1), exactDOF=TRUE,psdef=FALSE)

### Control Group Means

mean(firms_allrelatives$fedgovreceipts[firms_allrelatives$relatives==0 & firms_allrelatives$privatecompany==1],na.rm=TRUE)/30000
mean(firms_allrelatives$fedgovreceipts[firms_allrelatives$relatives==0 & firms_allrelatives$privatecompany==1],na.rm=TRUE)/30000
mean(firms_allrelatives$fedgovreceipts[firms_allrelatives$relatives==0 & firms_allrelatives$soe==1],na.rm=TRUE)/30000
mean(firms_allrelatives$fedgovreceipts[firms_allrelatives$relatives==0 & firms_allrelatives$privatecompany==1 & firms_allrelatives$age==9],na.rm=TRUE)/30000


