
### ### ### ### ### ### ### ### ### ### ### ### 
### ### ### APPENDIX TABLE   A8 ### ### ### ### 
### ### ### ### ### ### ### ### ### ### ### ### 

### Panel A

est1 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp, cleanentrances==1), exactDOF=TRUE)

est2 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp, cleanexits==1), exactDOF=TRUE)

est3 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data=subset(emp, retired55==1 & cleanexits==1), exactDOF=TRUE)

est4 <- felm(injob_r ~  injob_e  + female_r + logage_r| factor(year)| 0 | person_id_r, data=subset(emp, retired55==1 & cleanexits==1) , exactDOF=TRUE)

### Control Group Means

mean(emp$injob_r[emp$injob_e==0 & emp$cleanentrances==1])
mean(emp$injob_r[emp$injob_e==0 & emp$cleanexits==1])
mean(emp$injob_r[emp$injob_e==0 & emp$retired55==1 & emp$cleanexits==1])
mean(emp$injob_r[emp$injob_e==0 & emp$retired55==1 & emp$cleanexits==1])

### Panel B

est1 <- felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp, cleanentrances==1), exactDOF=TRUE)

est2 <- felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp, cleanexits==1), exactDOF=TRUE)

est3 <- felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r)| 0 | person_id_r, data=subset(emp, retired55==1 & cleanexits==1), exactDOF=TRUE)

est4 <- felm(ann_income_log_r ~  injob_e  + female_r + logage_r| factor(year)| 0 | person_id_r, data=subset(emp, retired55==1 & cleanexits==1), exactDOF=TRUE)

### Control Group Means

mean(emp$ann_income_r[emp$injob_e==0& emp$cleanentrances==1],na.rm=TRUE)/30000
mean(emp$ann_income_r[emp$injob_e==0 & emp$cleanexits==1],na.rm=TRUE)/30000
mean(emp$ann_income_r[emp$injob_e==0 & emp$retired55==1 & emp$cleanexits==1],na.rm=TRUE)/30000
mean(emp$ann_income_r[emp$injob_e==0 & emp$retired55==1 & emp$cleanexits==1],na.rm=TRUE)/30000

### ### ### ### ### ### ### ### ### ### ### ### 
### ### ### APPENDIX TABLE A9  ### ### ### ### 
### ### ### ### ### ### ### ### ### ### ### ### 

emp_notretired<-emp[!person_id_r %in% emp$person_id_r[emp$retired55==1 & emp$cleanexits==1]]

#### Panel A

est1 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp_notretired, exactDOF=TRUE)

est2 <- felm(injob_r ~  injob_e + female_r + logage_r| factor(year) | 0 | person_id_r, data=emp_notretired, exactDOF=TRUE)

est3 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r)+factor(age_r) | 0 | person_id_r, data= emp_notretired, exactDOF=TRUE)

est4 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) + factor(person_id_r):yr_order| 0 | person_id_r, data= emp_notretired, exactDOF=TRUE)

est5 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) + factor(new_family_id):yr_order| 0 | person_id_r, data= emp_notretired, exactDOF=TRUE)

### Control Group Means

mean(emp_notretired$injob_r[emp_notretired$injob_e==0])
mean(emp_notretired$injob_r[emp_notretired$injob_e==0])
mean(emp_notretired$injob_r[emp_notretired$injob_e==0])
mean(emp_notretired$injob_r[emp_notretired$injob_e==0])
mean(emp_notretired$injob_r[emp_notretired$injob_e==0])

#### Panel B

est1 <- felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp_notretired, exactDOF=TRUE)

est2 <- felm(ann_income_log_r ~  injob_e + female_r + logage_r| factor(year) | 0 | person_id_r, data=emp_notretired, exactDOF=TRUE)

est3 <- felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r)+factor(age_r) | 0 | person_id_r, data= emp_notretired, exactDOF=TRUE)

est4 <- felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r) + factor(person_id_r):yr_order| 0 | person_id_r, data= emp_notretired, exactDOF=TRUE)

est5 <- felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r) + factor(new_family_id):yr_order| 0 | person_id_r, data= emp_notretired, exactDOF=TRUE)

### Control Group Means

mean(emp_notretired$ann_income_r[emp_notretired$injob_e==0],na.rm=TRUE)/30000
mean(emp_notretired$ann_income_r[emp_notretired$injob_e==0],na.rm=TRUE)/30000
mean(emp_notretired$ann_income_r[emp_notretired$injob_e==0],na.rm=TRUE)/30000
mean(emp_notretired$ann_income_r[emp_notretired$injob_e==0],na.rm=TRUE)/30000
mean(emp_notretired$ann_income_r[emp_notretired$injob_e==0],na.rm=TRUE)/30000




### ### ### ### ### ### ### ### ### ### ### ### 
### ### ### APPENDIX TABLE A10  ### ### ### ### 
### ### ### ### ### ### ### ### ### ### ### ### 

### Panel A

est1 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp_notclose, exactDOF=TRUE)

est2 <- felm(injob_r ~  injob_e + female_r + logage_r| factor(year) | 0 | person_id_r, data=emp_notclose, exactDOF=TRUE)

est3 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r)+factor(age_r) | 0 | person_id_r, data= emp_notclose, exactDOF=TRUE)

est4 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) + factor(person_id_r):yr_order| 0 | person_id_r, data= emp_notclose, exactDOF=TRUE)

est5 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) + factor(new_family_id):yr_order| 0 | person_id_r, data= emp_notclose, exactDOF=TRUE)

### Control Group Means

mean(emp_notclose$injob_r[emp_notclose$injob_e==0])
mean(emp_notclose$injob_r[emp_notclose$injob_e==0])
mean(emp_notclose$injob_r[emp_notclose$injob_e==0])
mean(emp_notclose$injob_r[emp_notclose$injob_e==0])
mean(emp_notclose$injob_r[emp_notclose$injob_e==0])


### Panel B

est1 <- felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp_notclose, exactDOF=TRUE)

est2 <- felm(ann_income_log_r ~  injob_e + female_r + logage_r| factor(year) | 0 | person_id_r, data=emp_notclose, exactDOF=TRUE)

est3 <- felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r)+factor(age_r) | 0 | person_id_r, data= emp_notclose, exactDOF=TRUE)

est4 <- felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r) + factor(person_id_r):yr_order| 0 | person_id_r, data= emp_notclose, exactDOF=TRUE)

est5 <- felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r) + factor(new_family_id):yr_order| 0 | person_id_r, data= emp_notclose, exactDOF=TRUE)

### Control Group Means

mean(emp_notclose$ann_income_r[emp_notclose$injob_e==0],na.rm=TRUE)/30000
mean(emp_notclose$ann_income_r[emp_notclose$injob_e==0],na.rm=TRUE)/30000
mean(emp_notclose$ann_income_r[emp_notclose$injob_e==0],na.rm=TRUE)/30000
mean(emp_notclose$ann_income_r[emp_notclose$injob_e==0],na.rm=TRUE)/30000
mean(emp_notclose$ann_income_r[emp_notclose$injob_e==0],na.rm=TRUE)/30000

### ### ### ### ### ### ### ### ### ### ### ### 
### ### ### APPENDIX TABLES A11 ### ### ### ### 
### ### ### ### ### ### ### ### ### ### ### ### 

##### Panel A

est1 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp, exactDOF=TRUE)

est2 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp_notclose,married3==1), exactDOF=TRUE)

est3 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp_notclose,married6==1), exactDOF=TRUE)

est4 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp_notclose,married9==1), exactDOF=TRUE)

est5 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp_notclose,sibling==1), exactDOF=TRUE)

### Control Group Means

mean(emp_notclose$injob_r[emp_notclose$injob_e==0],na.rm=TRUE)
mean(emp_notclose$injob_r[emp_notclose$injob_e==0 & emp_notclose$married3==1] ,na.rm=TRUE)
mean(emp_notclose$injob_r[emp_notclose$injob_e==0 & emp_notclose$married6==1],na.rm=TRUE )
mean(emp_notclose$injob_r[emp_notclose$injob_e==0 & emp_notclose$married9==1],na.rm=TRUE)
mean(emp_notclose$injob_r[emp_notclose$injob_e==0 & emp_notclose$sibling==1],na.rm=TRUE)


##### Panel B

est1 <- felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp, exactDOF=TRUE)

est2 <- felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp_notclose,married3==1), exactDOF=TRUE)

est3 <- felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp_notclose,married6==1), exactDOF=TRUE)

est4 <- felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp_notclose,married9==1), exactDOF=TRUE)

est5 <- felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp_notclose,sibling==1), exactDOF=TRUE)

### Control Group Means

mean(emp_notclose$ann_income_r[emp_notclose$injob_e==0],na.rm=TRUE)/30000
mean(emp_notclose$ann_income_r[emp_notclose$injob_e==0 & emp_notclose$married3==1],na.rm=TRUE)/30000
mean(emp_notclose$ann_income_r[emp_notclose$injob_e==0 & emp_notclose$married6==1],na.rm=TRUE)/30000
mean(emp_notclose$ann_income_r[emp_notclose$injob_e==0 & emp_notclose$married9==1],na.rm=TRUE)/30000
mean(emp_notclose$ann_income_r[emp_notclose$injob_e==0 & emp_notclose$sibling==1],na.rm=TRUE)/30000


### ### ### ### ### ### ### ### ### ### ### ### 
### ### ### APPENDIX TABLE A12  ### ### ### ### 
### ### ### ### ### ### ### ### ### ### ### ### 

### Panel A

load(file=paste(User,"emp_allpeople.Rda",sep=""))

emp_allpeople$injob_e[emp_allpeople$ann_income_e>0]<-1
emp_allpeople [,numberofyears:=uniqueN(year[injob_e>0]),by=c("person_id_r")]
emp_allpeople<-subset(emp_allpeople,numberofyears>0 & numberofyears<6 & closerelative==1)

est1 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp_allpeople, exactDOF=TRUE)

est2 <- felm(injob_r ~  injob_e + female_r + logage_r| factor(year) | 0 | person_id_r, data=emp_allpeople, exactDOF=TRUE)

est3 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) + factor(age_r) | 0 | person_id_r, data= emp_allpeople, exactDOF=TRUE)

est4 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) + factor(person_id_r):yr_order| 0 | person_id_r, data= emp_allpeople, exactDOF=TRUE)

est5 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) + factor(new_family_id):yr_order| 0 | person_id_r, data= emp_allpeople, exactDOF=TRUE)

### Control Group Means

mean(emp_allpeople$injob_r[emp_allpeople$injob_e==0])
mean(emp_allpeople$injob_r[emp_allpeople$injob_e==0])
mean(emp_allpeople$injob_r[emp_allpeople$injob_e==0])
mean(emp_allpeople$injob_r[emp_allpeople$injob_e==0])
mean(emp_allpeople$injob_r[emp_allpeople$injob_e==0])

### Panel B

load(file=paste(User,"emp_allpeople.Rda",sep=""))

emp_allpeople$injob_e[emp_allpeople$ann_income_e>10000]<-1
emp_allpeople [,numberofyears:=uniqueN(year[injob_e>0]),by=c("person_id_r")]
emp_allpeople<-subset(emp_allpeople,numberofyears>0 & numberofyears<6 & closerelative==1)

est1 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp_allpeople, exactDOF=TRUE)

est2 <- felm(injob_r ~  injob_e + female_r + logage_r| factor(year) | 0 | person_id_r, data=emp_allpeople, exactDOF=TRUE)

est3 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) + factor(age_r) | 0 | person_id_r, data= emp_allpeople, exactDOF=TRUE)

est4 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) + factor(person_id_r):yr_order| 0 | person_id_r, data= emp_allpeople, exactDOF=TRUE)

est5 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) + factor(new_family_id):yr_order| 0 | person_id_r, data= emp_allpeople, exactDOF=TRUE)

### Control Group Means

mean(emp_allpeople$injob_r[emp_allpeople$injob_e==0])
mean(emp_allpeople$injob_r[emp_allpeople$injob_e==0])
mean(emp_allpeople$injob_r[emp_allpeople$injob_e==0])
mean(emp_allpeople$injob_r[emp_allpeople$injob_e==0])
mean(emp_allpeople$injob_r[emp_allpeople$injob_e==0])


### Panel C

load(file=paste(User,"emp_allpeople.Rda",sep=""))

emp_allpeople$injob_e[emp_allpeople$ann_income_e>20000]<-1
emp_allpeople [,numberofyears:=uniqueN(year[injob_e>0]),by=c("person_id_r")]
emp_allpeople<-subset(emp_allpeople,numberofyears>0 & numberofyears<6 & closerelative==1)

est1 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp, exactDOF=TRUE)

est2 <- felm(injob_r ~  injob_e + female_r + logage_r| factor(year) | 0 | person_id_r, data=emp, exactDOF=TRUE)

est3 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) + factor(age_r) | 0 | person_id_r, data= emp, exactDOF=TRUE)

est4 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) + factor(person_id_r):yr_order| 0 | person_id_r, data= emp, exactDOF=TRUE)

est5 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) + factor(new_family_id):yr_order| 0 | person_id_r, data= emp, exactDOF=TRUE)

### Control Group Means

mean(emp_allpeople$injob_r[emp_allpeople$injob_e==0])
mean(emp_allpeople$injob_r[emp_allpeople$injob_e==0])
mean(emp_allpeople$injob_r[emp_allpeople$injob_e==0])
mean(emp_allpeople$injob_r[emp_allpeople$injob_e==0])
mean(emp_allpeople$injob_r[emp_allpeople$injob_e==0])

### Panel D

load(file=paste(User,"emp_allpeople.Rda",sep=""))

emp_allpeople$injob_e[emp_allpeople$ann_income_e>40000]<-1
emp_allpeople [,numberofyears:=uniqueN(year[injob_e>0]),by=c("person_id_r")]
emp_allpeople<-subset(emp_allpeople,numberofyears>0 & numberofyears<6 & closerelative==1)


est1 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp, exactDOF=TRUE)

est2 <- felm(injob_r ~  injob_e + female_r + logage_r| factor(year) | 0 | person_id_r, data=emp, exactDOF=TRUE)

est3 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) + factor(age_r) | 0 | person_id_r, data= emp, exactDOF=TRUE)

est4 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) + factor(person_id_r):yr_order| 0 | person_id_r, data= emp, exactDOF=TRUE)

est5 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) + factor(new_family_id):yr_order| 0 | person_id_r, data= emp, exactDOF=TRUE)

### Control Group Means

mean(emp_allpeople$injob_r[emp_allpeople$injob_e==0])
mean(emp_allpeople$injob_r[emp_allpeople$injob_e==0])
mean(emp_allpeople$injob_r[emp_allpeople$injob_e==0])
mean(emp_allpeople$injob_r[emp_allpeople$injob_e==0])
mean(emp_allpeople$injob_r[emp_allpeople$injob_e==0])


### ### ### ### ### ### ### ### ### ### ### ### 
### ### ### APPENDIX TABLES A13 ### ### ### ### 
### ### ### ### ### ### ### ### ### ### ### ### 


est1<-felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp, exactDOF=TRUE)

est2<-felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp, year<=2001), exactDOF=TRUE)

est3<-felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp, year>2001), exactDOF=TRUE)

## Control Group Means

mean(emp$injob_r[emp$injob_e==0])
mean(emp$injob_r[emp$injob_e==0 & emp$year<=2001])
mean(emp$injob_r[emp$injob_e==0 & emp$year>2001])

# Panel B

est1<-felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp, exactDOF=TRUE)

est2<-felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp, year<=2001), exactDOF=TRUE)

est3<-felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp, year>2001), exactDOF=TRUE)

### Control Group Means

mean(emp$ann_income_r[emp$injob_e==0],na.rm=TRUE)/30000
mean(emp$ann_income_r[emp$injob_e==0 & emp$year<=2001],na.rm=TRUE)/30000
mean(emp$ann_income_r[emp$injob_e==0 & emp$year>2001],na.rm=TRUE)/30000

