
### ### ### ### ### ### ### ### ### 
### ### ### FIGURE 2 ### ### ### ### 
### ### ### ### ### ### ### ### ###


est_sector<-felm(fedgovreceipts_binary ~  relatives*sector_factor + employees_log| factor(year) + factor(inn) | 0 | inn + year, data= subset(firms, privatecompany==1 ), exactDOF=TRUE,psdef=FALSE)

coefs_sector<-data.table(cbind(sector=row.names(est_sector$coefficients),coefs=as.numeric(as.vector(est_sector$coefficients)),se=as.numeric(est_sector$cse)))
coefs_sector<-subset(coefs_sector,sector!="relatives"&sector!="employees_log"&sector!="hasemployeeinfo" & se!=0)
coefs_sector$se<-as.numeric(coefs_sector$se)
coefs_sector$coefs<-as.numeric(coefs_sector$coefs)

interval <- -qnorm((1-0.95)/2)  # 95% multiplier

secbreaks = unique(as.character(coefs_sector$sector))

coefs_sector$sector <- factor(coefs_sector$sector, levels = coefs_sector$sector[order(coefs_sector$coefs)])

zp1 <- ggplot(coefs_sector)
zp1 <- zp1 + geom_hline(yintercept = 0, colour = gray(1/2), lty = 2)
zp1 <- zp1 + geom_linerange(aes(x = sector, ymin = coefs - se*interval,
                                ymax = coefs + se*interval),
                            lwd = 1, position = position_dodge(width = 1/2))

zp1 <- zp1 + geom_pointrange(aes(x = sector, y = coefs, ymin = coefs - se*interval,
                                 ymax = coefs + se*interval),
                             lwd = 1/2, position = position_dodge(width = 1/2),
                             shape = 21, fill = "WHITE")
zp1 <- zp1 + coord_flip() + theme_bw()
zp1 <- zp1 + ggtitle(" ")+ scale_x_discrete(labels=rev(c(
  'Trade / Transportation',
  'Construction',
  'Light Manufacturing',
  'Mining and Agriculture',
  'Heavy Manufacturing')))+ ylab("\nPoint Estimate")+ xlab("Industry")+ theme(axis.text=element_text(size=18),axis.title=element_text(size=18))
