
### ### ### ### ### ### ### ### ### 
### ### ### FIGURE 1 ### ### ### ### 
### ### ### ### ### ### ### ### ###

### Panel A

est1<-felm(injob_r ~  0  | factor(year) + factor(person_id_r) + factor(new_family_id):yr_order | 0 | 0, data= emp, exactDOF=TRUE)

emp$ihs_resid<-est1$residuals

emp$enterstart<-str_locate(emp$traj, "0011")[, 1]
emp$enterend<-str_locate(emp$traj, "0011")[, 2]
emp$leavestart<-str_locate(emp$traj, "1100")[, 1]
emp$leaveend<-str_locate(emp$traj, "1100")[, 2]

emp<-emp[order(person_id_r, year)]
emp[, yr_order_move := seq_len(.N), by = c("person_id_r")]

emp_movers<-subset(emp, (mover==TRUE & yr_order_move>= enterstart & yr_order_move<= enterend) | (leaver==TRUE & yr_order_move>= leavestart & yr_order_move<= leaveend))

### Just take those with one move
emp_movers[, num := .N, by = c("person_id_r")]
emp_movers <- subset(emp_movers, num==4)

emp_movers$status[emp_movers$leaver==TRUE]<-"Exits"
emp_movers$status[emp_movers$mover==TRUE]<-"Enters"
emp_movers[, yr_order_move := seq_len(.N), by = c("person_id_r")]

emp_movers <-emp_movers[order(person_id_r, year)]

DT_no<-emp_movers[emp_movers$status=="Exits"][, list(ihssum=mean(ihs_resid),status="Exits"), by=c("yr_order_move")]
DT_yes<-emp_movers[emp_movers$status=="Enters"][, list(ihssum=mean(ihs_resid),status="Enters"), by=c("yr_order_move")]
DT_mean<-rbind(DT_no, DT_yes)
DT_mean $yr_order_move<-DT_mean $yr_order_move-3

p1<-ggplot(DT_mean, aes(x = yr_order_move, y= ihssum, group= status))+geom_line(aes(linetype= status),size=.7)   + xlab("Years") + ylab("Individual Employed")+ geom_vline(xintercept = -.5, linetype="dotted")+ theme_bw()+ guides(linetype=guide_legend(title=" "))+theme(legend.position="bottom")+labs(title="Panel A: Individual Employed")+ scale_linetype_discrete(labels=c("Relative Enters Federal Office      ","Relative Exits Federal Office"))+theme(axis.title=element_text(size=15,face="bold"),legend.text=element_text(size=16),axis.text=element_text(size=16),plot.title=element_text(size=20,hjust=0.5))+ scale_x_continuous(breaks=c(-2,-1,0,1), labels=c("-2","-1","1","2"))+ylim(-.035,.035)

### Panel B

emp_injob<-subset(emp, injob_r==1)

est1<-felm(ann_income_log_r ~  0  | factor(year) + factor(person_id_r) + factor(new_family_id):yr_order | 0 | 0, data= emp_injob, exactDOF=TRUE)

emp_injob$ihs_resid<-est1$residuals
emp_injob$enterstart<-str_locate(emp_injob$traj, "0011")[, 1]
emp_injob$enterend<-str_locate(emp_injob$traj, "0011")[, 2]
emp_injob$leavestart<-str_locate(emp_injob$traj, "1110")[, 1]
emp_injob$leaveend<-str_locate(emp_injob$traj, "1110")[, 2]

emp_injob<-emp_injob[order(person_id_r, year)]
emp_injob[, yr_order_move := seq_len(.N), by = c("person_id_r")]

emp_movers<-subset(emp_injob, (mover==TRUE & yr_order_move>= enterstart & yr_order_move<= enterend) | (leaver==TRUE & yr_order_move>= leavestart & yr_order_move<= leaveend))

### Just take those with one move
emp_movers[, num := .N, by = c("person_id_r")]
emp_movers <- subset(emp_movers, num==4)

emp_movers$status[emp_movers$leaver==TRUE]<-"Exits"
emp_movers$status[emp_movers$mover==TRUE]<-"Enters"
emp_movers[, yr_order_move := seq_len(.N), by = c("person_id_r")]

emp_movers <-emp_movers[order(person_id_r, year)]

DT_no<-emp_movers[emp_movers$status=="Exits"][, list(ihssum=mean(ihs_resid),status="Exits"), by=c("yr_order_move")]
DT_yes<-emp_movers[emp_movers$status=="Enters"][, list(ihssum=mean(ihs_resid),status="Enters"), by=c("yr_order_move")]
DT_mean<-rbind(DT_no, DT_yes)
DT_mean $yr_order_move<-DT_mean $yr_order_move-3

p2<-ggplot(DT_mean, aes(x = yr_order_move, y= ihssum, group= status))+geom_line(aes(linetype= status),size=.7)   + xlab("Years") + ylab("Individual Income (log)")+ geom_vline(xintercept = -.5, linetype="dotted")+ theme_bw()+ guides(linetype=guide_legend(title=" "))+theme(legend.position="bottom")+labs(title="Panel B: Individual Income (log)")+ scale_linetype_discrete(labels=c("Relative Enters Federal Office      ","Relative Exits Federal Office"))+theme(axis.title=element_text(size=15,face="bold"),legend.text=element_text(size=16),axis.text=element_text(size=16),plot.title=element_text(size=20,hjust=0.5))+ scale_x_continuous(breaks=c(-2,-1,0,1), labels=c("-2","-1","1","2"))+ylim(-.06,.06)
p2