
load(file=paste(User,"firms.Rda",sep=""))

firms$fedgovreceipts_binary<-0
firms$fedgovreceipts_binary[firms$fedgovreceipts>0]<-1

firms$regionalgovreceipts_binary<-0
firms$regionalgovreceipts_binary[firms$regionalgovreceipts>0]<-1

firms$localgovreceipts_binary<-0
firms$localgovreceipts_binary[firms$localgovreceipts>0]<-1

firms$fedgovreceipts_log<-log(firms$fedgovreceipts)
firms$fedgovreceipts_log[firms$fedgovreceipts_log=="-Inf"]<-NA

firms$regionalgovreceipts_log<-log(firms$regionalgovreceipts)
firms$regionalgovreceipts_log[firms$regionalgovreceipts_log=="-Inf"]<-NA

firms$localgovreceipts_log<-log(firms$localgovreceipts)
firms$localgovreceipts_log[firms$localgovreceipts_log=="-Inf"]<-NA

firms$log_age<-log(firms$age)

firms$yr_order<-as.numeric(firms$year)-1998

firms_utilities<-firms

firms$utilities<-ifelse(firms$okved==40 | firms$okved==41,1,0)

firms<-subset(firms, utilities==0)


### ### ### ### ### ### ### ### ### 
### ### ### TABLE 5 ### ### ### ### 
### ### ### ### ### ### ### ### ###

### Panel A

est1 <- felm(fedgovreceipts_binary ~  relatives + employees_log | factor(year) + factor(inn) | 0 | inn + year, data= subset(firms, privatecompany==1), exactDOF=TRUE)

est2 <- felm(fedgovreceipts_binary ~  relatives + employees_log | factor(year) + factor(inn) + factor(inn):yr_order | 0 | inn + year, data= subset(firms, privatecompany==1), exactDOF=TRUE)

est3 <- felm(fedgovreceipts_binary ~  relatives + employees_log | factor(year) + factor(inn) | 0 | inn + year, data= subset(firms, soe==1), exactDOF=TRUE)

est4<-felm(fedgovreceipts_binary ~  relatives*age + employees_log | factor(year) + factor(inn) | 0 | inn + year, data= subset(firms, privatecompany==1), exactDOF=TRUE,psdef=FALSE)

### Control Group Means (in model order)

mean(firms$fedgovreceipts_binary[firms$relatives==0 & firms$privatecompany==1],na.rm=TRUE)
mean(firms$fedgovreceipts_binary[firms$relatives==0 & firms$privatecompany==1],na.rm=TRUE)
mean(firms$fedgovreceipts_binary[firms$relatives==0 & firms$soe==1],na.rm=TRUE)
mean(firms$fedgovreceipts_binary[firms$relatives==0 & firms$privatecompany==1 & firms$age==9],na.rm=TRUE)

###Panel B

est1 <- felm(fedgovreceipts_log ~  relatives + employees_log | factor(year) + factor(inn) | 0 | inn + year, data= subset(firms, privatecompany==1), exactDOF=TRUE)

est2 <- felm(fedgovreceipts_log ~  relatives + employees_log | factor(year) + factor(inn) + factor(inn):yr_order | 0 | inn + year, data= subset(firms, privatecompany==1), exactDOF=TRUE)

est3 <- felm(fedgovreceipts_log ~  relatives + employees_log | factor(year) + factor(inn) | 0 | inn + year, data= subset(firms, soe==1), exactDOF=TRUE)

est4<-felm(fedgovreceipts_log ~  relatives*age + employees_log | factor(year) + factor(inn) | 0 | inn + year, data= subset(firms, privatecompany==1), exactDOF=TRUE,psdef=FALSE)

### Control Group Means (in model order)

mean(firms$fedgovreceipts[firms$relatives==0 & firms$privatecompany==1],na.rm=TRUE)/30000
mean(firms$fedgovreceipts[firms$relatives==0 & firms$privatecompany==1],na.rm=TRUE)/30000
mean(firms$fedgovreceipts[firms$relatives==0 & firms$soe==1],na.rm=TRUE)/30000
mean(firms$fedgovreceipts[firms$relatives==0 & firms$privatecompany==1 & firms$age==9],na.rm=TRUE)/30000
