

### ### ### ### ### ### ### ### ### 
### ### ### TABLE 1 ### ### ### ### 
### ### ### ### ### ### ### ### ###

load(file=paste(User,"SummaryTables.Rda",sep=""))

### ### ### ### ### ### ### ### ### 
### ### ### TABLE 2 ### ### ### ### 
### ### ### ### ### ### ### ### ###

### Panel A

est1 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp, exactDOF=TRUE)

est2 <- felm(injob_r ~  injob_e + female_r + logage_r| factor(year) | 0 | person_id_r, data=emp, exactDOF=TRUE)

est3 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) + factor(age_r) | 0 | person_id_r, data= emp, exactDOF=TRUE)

est4 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) + factor(person_id_r):yr_order| 0 | person_id_r, data= emp, exactDOF=TRUE)

est5 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) + factor(new_family_id):yr_order| 0 | person_id_r, data= emp, exactDOF=TRUE)

### Control Group Mean (all models)
mean(emp$injob_r[emp$injob_e==0])

### Panel B

est1 <- felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp, exactDOF=TRUE)

est2 <- felm(ann_income_log_r ~  injob_e + female_r + logage_r| factor(year) | 0 | person_id_r, data=emp, exactDOF=TRUE)

est3 <- felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r)+factor(age_r) | 0 | person_id_r, data= emp, exactDOF=TRUE)

est4 <- felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r) + factor(person_id_r):yr_order| 0 | person_id_r, data= emp, exactDOF=TRUE)

est5 <- felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r) + factor(new_family_id):yr_order| 0 | person_id_r, data= emp, exactDOF=TRUE)

### Control Group Mean (all models)
mean(emp$ann_income_r[emp$injob_e==0],na.rm=TRUE)/30000


### ### ### ### ### ### ### ### ### 
### ### ### TABLE 3 ### ### ### ### 
### ### ### ### ### ### ### ### ###

### Panel A

est1 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp, exactDOF=TRUE)

est2 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp,parents==1), exactDOF=TRUE)

est3 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp,father==1), exactDOF=TRUE)

est4 <- felm(injob_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp,married6==1), exactDOF=TRUE)

est5 <- felm(injob_r ~  injob_e*age1999_r_centered | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp, exactDOF=TRUE)

est6 <- felm(injob_r ~  injob_e*age1999_e_centered | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp, exactDOF=TRUE)

est7 <- felm(injob_r ~  injob_e*logaveragesalary_centered | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp, exactDOF=TRUE)

### Control Group Means (in model order)

mean(emp$injob_r[emp$injob_e==0 & is.na(emp$injob_e)==FALSE])
mean(emp$injob_r[emp$injob_e==0  & is.na(emp$injob_e)==FALSE& emp$parents==1])
mean(emp$injob_r[emp$injob_e==0 & is.na(emp$injob_e)==FALSE & emp$father==1])
mean(emp$injob_r[emp$injob_e==0  & is.na(emp$injob_e)==FALSE& emp$married6==1])
mean(emp$injob_r[emp$injob_e==0 & is.na(emp$injob_e)==FALSE])
mean(emp$injob_r[emp$injob_e==0 & is.na(emp$injob_e)==FALSE])
mean(emp$injob_r[emp$injob_e==0 & is.na(emp$injob_e)==FALSE])

### Panel B

est1 <- felm(ann_income_log_r ~  injob_e| factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp, injob_r==1), exactDOF=TRUE)

est2 <- felm(ann_income_log_r ~  injob_e| factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp, parents==1 & injob_r==1), exactDOF=TRUE)

est3 <- felm(ann_income_log_r ~  injob_e| factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp, father==1 & injob_r==1), exactDOF=TRUE)

est4 <- felm(ann_income_log_r ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp, married6==1 & injob_r==1), exactDOF=TRUE)

est5 <- felm(ann_income_log_r ~  injob_e*age1999_r_centered | factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp, injob_r==1), exactDOF=TRUE,psdef=FALSE)

est6 <- felm(ann_income_log_r ~  injob_e*age1999_e_centered | factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp, injob_r==1), exactDOF=TRUE,psdef=FALSE)

est7 <- felm(ann_income_log_r ~  injob_e*logaveragesalary_centered | factor(year) + factor(person_id_r) | 0 | person_id_r, data= subset(emp, injob_r==1), exactDOF=TRUE,psdef=FALSE)

### Control Group Mean (in model order)

mean(emp$ann_income_r[emp$injob_e==0 & is.na(emp$injob_e)==FALSE],na.rm=TRUE)/30000
mean(emp$ann_income_r[emp$injob_e==0 & is.na(emp$injob_e)==FALSE & emp$parents==1],na.rm=TRUE)/30000
mean(emp$ann_income_r[emp$injob_e==0 & is.na(emp$injob_e)==FALSE & emp$father==1],na.rm=TRUE)/30000
mean(emp$ann_income_r[emp$injob_e==0 & is.na(emp$injob_e)==FALSE & emp$married6==1],na.rm=TRUE)/30000
mean(emp$ann_income_r[emp$injob_e==0 & is.na(emp$injob_e)==FALSE],na.rm=TRUE)/30000
mean(emp$ann_income_r[emp$injob_e==0 & is.na(emp$injob_e)==FALSE],na.rm=TRUE)/30000
mean(emp$ann_income_r[emp$injob_e==0 & is.na(emp$injob_e)==FALSE],na.rm=TRUE)/30000

### ### ### ### ### ### ### ### ### 
### ### ### TABLE 4 ### ### ### ### 
### ### ### ### ### ### ### ### ###

est1 <- felm(privatecompany_pj ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp, exactDOF=TRUE)

est2 <- felm(soe_pj ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp, exactDOF=TRUE)

est3 <- felm(federalgov_pj ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp, exactDOF=TRUE)

est4 <- felm(regionalgov_pj ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp, exactDOF=TRUE)

est5 <- felm(localgov_pj ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp, exactDOF=TRUE)

est6 <- felm(salary_percentile_pj ~  injob_e | factor(year) + factor(person_id_r)+factor(primaryemployer_pj) | 0 | person_id_r + primaryemployer_pj, data= emp, exactDOF=TRUE)

est7<- felm(infathersjob ~  injob_e | factor(year) + factor(person_id_r) | 0 | person_id_r, data= emp, exactDOF=TRUE)

### Control Group Mean (in model order)

mean(emp$privatecompany_pj[emp$injob_e==0],na.rm=TRUE)
mean(emp$anygov_pj[emp$injob_e==0],na.rm=TRUE)
mean(emp$federalgov_pj[emp$injob_e==0],na.rm=TRUE)
mean(emp$regionalgov_pj[emp$injob_e==0],na.rm=TRUE)
mean(emp$localgov_pj[emp$injob_e==0],na.rm=TRUE)
mean(emp$salary_percentile_pj[emp$injob_e==0],na.rm=TRUE)
mean(emp$infathersjob[emp$injob_e==0],na.rm=TRUE)


